Subject: bug#19853: eldoc-mode vs. global-eldoc-mode

From: Marcin Borkowski <[email-masked]>
Date: Sun, 20 Mar 2016 15:14:51 +0100

On 2016-03-20, at 14:25, Dmitry Gutov <[email-masked]> wrote:

> On 03/20/2016 03:17 PM, Marcin Borkowski wrote:
>
>> The fact that apparently this behavior is consistent with the docs, so
>> it looks like a feature (though the intentions behind it remain
>> mysterious to me).
>
> Which docs? global-eldoc-mode's docstring says "Enable ‘eldoc-mode’ in 
> all buffers where it’s applicable.", which is not what it does.

The manual.

(info "(emacs) Lisp Doc")

>> Also, the fact that if at any point you or I decide
>> that this is a bug indeed, reopening it can be done in 30 seconds.
>
> Until enough time passes that it's archived and forgotten. It's clear 
> that it's not high priority, but it still seems like something we'd want 
> to fix.

OK, I'll write it down that if no-one confirms that this is intended and
reasonable within a week, I'm reopening it.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University